apiVersion: controller.devfile.io/v1alpha1
kind: DevWorkspaceRouting
metadata:
  annotations:
    controller.devfile.io/devworkspace-started: 'true'
  resourceVersion: '45769094'
  name: routing-workspaceb9c97f00a0d840e2
  uid: 55d1905d-dc1f-4b77-bc6f-9dd20605dc2e
  creationTimestamp: '2022-11-16T12:03:26Z'
  generation: 1
  managedFields:
    - apiVersion: controller.devfile.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:controller.devfile.io/devworkspace-started': {}
          'f:labels':
            .: {}
            'f:controller.devfile.io/devworkspace_id': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"b9c97f00-a0d8-40e2-b9c4-c46fe56514ea"}': {}
        'f:spec':
          .: {}
          'f:devworkspaceId': {}
          'f:endpoints': {}
          'f:podSelector':
            .: {}
            'f:controller.devfile.io/devworkspace_id': {}
          'f:routingClass': {}
      manager: devworkspace-controller
      operation: Update
      time: '2022-11-16T12:03:26Z'
    - apiVersion: controller.devfile.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:finalizers':
            .: {}
            'v:"devworkspacerouting.controller.devfile.io"': {}
      manager: manager
      operation: Update
      time: '2022-11-16T12:03:26Z'
    - apiVersion: controller.devfile.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:message': {}
          'f:phase': {}
          'f:podAdditions':
            .: {}
            'f:containers': {}
            'f:volumes': {}
      manager: manager
      operation: Update
      subresource: status
      time: '2022-11-16T12:03:26Z'
  namespace: admin-devspaces
  ownerReferences:
    - apiVersion: workspace.devfile.io/v1alpha2
      blockOwnerDeletion: true
      controller: true
      kind: DevWorkspace
      name: java-gradle
      uid: b9c97f00-a0d8-40e2-b9c4-c46fe56514ea
  finalizers:
    - devworkspacerouting.controller.devfile.io
  labels:
    controller.devfile.io/devworkspace_id: workspaceb9c97f00a0d840e2
spec:
  devworkspaceId: workspaceb9c97f00a0d840e2
  endpoints: {}
  podSelector:
    controller.devfile.io/devworkspace_id: workspaceb9c97f00a0d840e2
  routingClass: che
status:
  message: DevWorkspaceRouting prepared
  phase: Ready
  podAdditions:
    containers:
      - image: >-
          registry.redhat.io/devspaces/traefik-rhel8@sha256:c1d074acbdeebed8d8b97001d002d3382ba6ab401abcb7bdeccd771fb1729039
        imagePullPolicy: IfNotPresent
        name: che-gateway
        resources:
          limits:
            cpu: 500m
            memory: 256Mi
          requests:
            cpu: 50m
            memory: 64Mi
        volumeMounts:
          - mountPath: /etc/traefik
            name: che-gateway
    volumes:
      - configMap:
          defaultMode: 420
          name: workspaceb9c97f00a0d840e2-route
        name: che-gateway
